<?php

namespace EventPortal\Domain\Event\Models;

use EventPortal\Concerns\HasFields as HasFieldsConcern;
use EventPortal\Concerns\HasStatus;
use EventPortal\Contracts\HasFields;
use Illuminate\Database\Eloquent\Model;

class Event extends Model implements HasFields
{
    use HasFieldsConcern, HasStatus;

    /** @var array<string> */
    protected $guarded = [];
}
