<?php

namespace EventPortal\Concerns;

use EventPortal\Enums\Status;
use Spatie\Enum\Laravel\HasEnums;

trait HasStatus
{
    use HasEnums;

    /** @var array<string> */
    protected $enums = [
        'status' => Status::class,
    ];

    public function setStatus(Status $status): void
    {
        $this->status = $status;
        $this->save();
    }
}
