<?php

namespace EventPortal\Domain\Form\Facades;

use EventPortal\Domain\Form\Factories\FormFactory;
use Illuminate\Support\Facades\Facade;

/**
 * @method self make(string $argument)
 * @method self makeFromDefault(string $type)
 * @method self makeFromModel(HasFields $model)
 * @method self addAction(callable $callable)
 * @method self withRequest(Request $request)
 * @method self validate()
 * @method HasFields submit()
 * @method HasFields update()
 */
class Form extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return FormFactory::class;
    }
}
